#include<bits/stdc++.h>
using namespace std;
int n,m;
int main(){
	scanf("%d%d",&n,&m);
	double p = ((double)n/100);
	double bmi = (double)m/(p*p);
	if (bmi < 18){
			cout << "Too thin!" << endl;
			double t = 18*p*p;
			cout << ceil(fabs(t-m)) << endl;
	} else
	  if (bmi>24){
			cout << "Too fat!" << endl;
			double t = 24*p*p;
			cout << ceil(fabs(t-m)) << endl;
	  } else
	        cout << "Good!" << endl;
	return 0;
}